Subject: bug#32512: xref--read-identifier using etags backend should honor case-fold-search

From: Helmut Eller <[email-masked]>
Date: Fri, 24 Aug 2018 16:35:40 +0200

On Fri, Aug 24 2018, Ludovic Brenta wrote:

> Also I would like to add that some programming languages, notably Ada
> and Pascal, are case-insensitive; in these languages, "being as exact as
> possible" implies respecting this case-inensitivity.  This is why I
> think it would be a good idea to make the case sensitivity
> user-controllable (not mode-controllable, as you may want to look for an
> Ada subprogram from a buffer visiting e.g. a shell script).

xref--read-identifier basically calls 'completing-read' with some
arguments that it gets from the backend.

Setting 'completion-ignore-case' should make it case-insensitive.  Have
you tried that?

The etags backed uses 'tags-lazy-completion-table' to create the
possible completions.  I think that was not changed when the xref was
added.

Helmut